## org.eclipse.datatools.modelbase.sql.statements.impl
Class SQLStatementsPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.statements.impl.SQLStatementsPackageImpl

All Implemented Interfaces:
  SQLStatementsPackage

public class SQLStatementsPackageImpl
extends EPackageImpl
implements SQLStatementsPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.statements.SQLStatementsPackage
`SQLStatementsPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatementsPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, SQL_CONNECTION_STATEMENT, SQL_CONNECTION_STATEMENT_FEATURE_COUNT, SQL_CONTROL_STATEMENT, SQL_CONTROL_STATEMENT_FEATURE_COUNT, SQL_DATA_CHANGE_STATEMENT, SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT, SQL_DATA_STATEMENT, SQL_DATA_STATEMENT_FEATURE_COUNT, SQL_DIAGNOSTICS_STATEMENT, SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT, SQL_DYNAMIC_STATEMENT, SQL_DYNAMIC_STATEMENT_FEATURE_COUNT, SQL_SCHEMA_STATEMENT, SQL_SCHEMA_STATEMENT_FEATURE_COUNT, SQL_SESSION_STATEMENT, SQL_SESSION_STATEMENT_FEATURE_COUNT, SQL_STATEMENT, SQL_STATEMENT_DEFAULT, SQL_STATEMENT_DEFAULT__COMMENTS, SQL_STATEMENT_DEFAULT__DEPENDENCIES, SQL_STATEMENT_DEFAULT__DESCRIPTION, SQL_STATEMENT_DEFAULT__EANNOTATIONS, SQL_STATEMENT_DEFAULT__LABEL, SQL_STATEMENT_DEFAULT__NAME, SQL_STATEMENT_DEFAULT__SQL, SQL_STATEMENT_DEFAULT_FEATURE_COUNT, SQL_STATEMENT_FEATURE_COUNT, SQL_TRANSACTION_STATEMENT, SQL_TRANSACTION_STATEMENT_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getSQLConnectionStatement()`
`EClass` `getSQLControlStatement()`
`EClass` `getSQLDataChangeStatement()`
`EClass` `getSQLDataStatement()`
`EClass` `getSQLDiagnosticsStatement()`
`EClass` `getSQLDynamicStatement()`
`EClass` `getSQLSchemaStatement()`
`EClass` `getSQLSessionStatement()`
`EClass` `getSQLStatement()`
`EAttribute` `getSQLStatementDefault_SQL()`
`EClass` `getSQLStatementDefault()`
`SQLStatementsFactory` `getSQLStatementsFactory()`
`EClass` `getSQLTransactionStatement()`
`static SQLStatementsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLStatementsPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLStatementsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSQLStatement

    public EClass getSQLStatement()

  Specified by:
    `getSQLStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Statement'.
  See Also:
    `SQLStatement`

### getSQLDataStatement

    public EClass getSQLDataStatement()

  Specified by:
    `getSQLDataStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Data Statement'.
  See Also:
    `SQLDataStatement`

### getSQLSchemaStatement

    public EClass getSQLSchemaStatement()

  Specified by:
    `getSQLSchemaStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Schema Statement'.
  See Also:
    `SQLSchemaStatement`

### getSQLControlStatement

    public EClass getSQLControlStatement()

  Specified by:
    `getSQLControlStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Control Statement'.
  See Also:
    `SQLControlStatement`

### getSQLDataChangeStatement

    public EClass getSQLDataChangeStatement()

  Specified by:
    `getSQLDataChangeStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Data Change Statement'.
  See Also:
    `SQLDataChangeStatement`

### getSQLStatementDefault

    public EClass getSQLStatementDefault()

  Specified by:
    `getSQLStatementDefault` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Statement Default'.
  See Also:
    `SQLStatementDefault`

### getSQLStatementDefault_SQL

    public EAttribute getSQLStatementDefault_SQL()

  Specified by:
    `getSQLStatementDefault_SQL` in interface `SQLStatementsPackage`
  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `SQLStatementDefault.getSQL()`, `SQLStatementsPackage.getSQLStatementDefault()`

### getSQLConnectionStatement

    public EClass getSQLConnectionStatement()

  Specified by:
    `getSQLConnectionStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Connection Statement'.
  See Also:
    `SQLConnectionStatement`

### getSQLDiagnosticsStatement

    public EClass getSQLDiagnosticsStatement()

  Specified by:
    `getSQLDiagnosticsStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Diagnostics Statement'.
  See Also:
    `SQLDiagnosticsStatement`

### getSQLDynamicStatement

    public EClass getSQLDynamicStatement()

  Specified by:
    `getSQLDynamicStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Dynamic Statement'.
  See Also:
    `SQLDynamicStatement`

### getSQLSessionStatement

    public EClass getSQLSessionStatement()

  Specified by:
    `getSQLSessionStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Session Statement'.
  See Also:
    `SQLSessionStatement`

### getSQLTransactionStatement

    public EClass getSQLTransactionStatement()

  Specified by:
    `getSQLTransactionStatement` in interface `SQLStatementsPackage`
  Returns:
    the meta object for class 'SQL Transaction Statement'.
  See Also:
    `SQLTransactionStatement`

### getSQLStatementsFactory

    public SQLStatementsFactory getSQLStatementsFactory()

  Specified by:
    `getSQLStatementsFactory` in interface `SQLStatementsPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.